<?php
	session_start();
	if($_SESSION['adm'])
	{
		$userid= $_SESSION['adm'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 .content{background:; margin:0; padding:0; }
 .content h3{margin-left:20px; }
 .viewcomp{background:#996420; height:40px; width:1400px; margin:50 0 0 20px;}
 .viewcomp h3{line-height:40px; margin-left:20px; color:white; font-family:calibri;}
 .quisrch{float:right; margin-right:20px;}
 .content #tbl2{width:1450px; margin:10 0 0 20px;}
 
 #t1{ width:1400px; text-align:center; border-collapse:collapse; border-color:black; margin:0 0 20 20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; font-size:20px;}
#t1 td{font-family:calibri; font-size:18px;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
 
 #inp1{width:50px;}
 #inp2{width:100px;}
 #errMsg{color:red; margin-top:12px;}
#green{background:green; color:white; font-size:18px; padding:2 5px; border-radius:4px; font-weight:bold;}
#red{background:red; color:white; font-size:18px; padding:2 5px; border-radius:4px; font-weight:bold;}
#blue{background:blue; color:white; font-size:18px; padding:2 5px; border-radius:4px; font-weight:bold;}
 
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="admin.php" id="a1">Home</a></li>
			<li>Setting
				<ul>
					<li><a href="add_operator.php">Operator</a></li>
					<li><a href="set_commision.php">Set Commision</a></li>
					<li><a href="add_bank_details.php">Add Bank Details</a></li>
					<li><a href="retailer_type.php">Retailer Type</a></li>
					<li><a href="add_state.php">State</a></li>
					<li><a href="add_city.php">City</a></li>
				</ul>
			</li>
			<li>Manage Users
				<ul>
					<li><a href="list_complain.php">Complain</a></li>
					<li><a href="alert_msg.php">Alert</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Master Distributers
				<ul>
					<li><a href="add_md.php">Add M. Distributers</a></li>
					<li><a href="view_md.php">View M. Distributers</a></li>
				</ul>
			</li>
			<li>Distributers
				<ul>
					<li><a href="add_distributer.php">Add Distributers</a></li>
					<li><a href="view_distributer.php">View Distributers</a></li>
				</ul>
			</li>
			<li>Retailer
				<ul>
					<li><a href="add_agent.php">Add Retailer</a></li>
					<li><a href="view_retailer.php">View Retailer</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="pending_recharge.php">Pending Recharge</a></li>
					<li><a href="admin_recharge_history.php">Recharge History</a></li>
					<li><a href="check_status.php">Check Transaction</a></li>
					<li><a href="account_reports.php">Account Report</a></li>
					<li><a href="view_payment1.php">Payment Request</a></li>
				</ul>
			</li>
		</ul>
	</div>
	<div class="content">
		<form method="post">
		<div class="viewcomp">
			<h3>View Pending Payment Request</h3>
		</div>
		
		<table border="1" cellpadding="5" id="t1">
			<tr>
				<th>Sl. No.</th>
				<th>Request Id</th>
				<th>Req. Type</th>
				<th>User Name</th>
				<th>Payment Date</th>
				<th>Amount</th>
				<th>Mode</th>
				<th>Transaction No.</th>
				<th>Our Bank</th>
				<th>Remarks</th>
				<th>Status</th>
				<th>Action</th>
			</tr>
		<?php
			include'connection.php';
			include'time.php';
			$sl=0;
			
			$query="select * from paymentreq where Active=0 order by Id desc";
			$result=mysqli_query($con,$query);
	        $RowCount=mysqli_num_rows($result);
	        
				if($RowCount<1)
				{
				    echo "<tr><td colspan='12' id='tdErr'><h3 id='errMsg'>Pending Payment Request Not Found !</h3></td></tr>";
				}
			while($row=mysqli_fetch_array($result))
			{
			    $ClintId=$row['Userid'];
			    $PayDate=$row['Paymentdate'];
			    $Amt=$row['Amount'];
			    $TrxnNo=$row['Txnnumber'];
			    $RowId=$row['Id'];
				$sl=$sl+1;
				
				if($row['Status']=="APPROVED")
				{
				    $TdColor="green";
				}
				elseif($row['Status']=="PENDING")
				{
				    $TdColor="blue";
				}
				else
				{
				   $TdColor="red"; 
				}
				$subClintId=substr($ClintId,"0","2");
				if($subClintId==50)
				{
				    $GetClintName="select * from retailer where Userid='$ClintId'";
				}
				elseif($subClintId==20)
				{
				    $GetClintName="select * from distributer where Userid='$ClintId'";
				}
				else
				{
				    $GetClintName="select * from masterdis where Userid='$ClintId'";
				}
				
				$reClintName=mysqli_query($con,$GetClintName);
				$dataClintName=mysqli_fetch_array($reClintName);
				$ClintName=$dataClintName['Name'];
				echo "<tr>";
					echo "<td id='mid'>".$sl."</td>";
					echo "<td id='mid'>".$row['Id']."</td>";
					echo "<td id='mid'>".$row['reqType']."</td>";
					echo "<td id='mid'>".$ClintName." [".$row['Userid']."]</td>";
					echo "<td>".$row['Paymentdate']."</td>";
					echo "<td>".$row['Amount']."</td>";
					echo "<td>".$row['Mode']."</td>";
					echo "<td>".$row['Txnnumber']."</td>";
					echo "<td>".$row['Bankname']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td ><p id='$TdColor'>".$row['Status']."</p></td>";
					echo "<td>";
					if(!empty($RowId) || !empty($ClintId) || !empty($PayDate) || !empty($Amt) || !empty($TrxnNo))
					{
						echo "<a href='success1.php?id=".$row['Id']."'>Success</a> ";
					}
						echo " <a href='cancel.php?id=".$row['Id']."'>Cancel</a>";
						echo"</td>";
				echo "</tr>";
				
			}
			
			
		?>
		</table>
		</form>
	</div>	
	<div>	
		<div class="viewcomp">
			<h3>Today's Payment Request History</h3>
		</div>
		
		<table border="1" cellpadding="5" id="t1">
			<tr>
				<th>Sl. No.</th>
				<th>Request Id</th>
				<th>Req. Type</th>
				<th>Date</th>
				<th>Time</th>
				<th>User Name</th>
				<th>Amount</th>
				<th>Mode</th>
				<th>Transaction No.</th>
				<th>Our Bank</th>
				<th>Response Message</th>
				<th>Status</th>
			</tr>
		<?php
			
			$sl=0;
			
			$query="select * from paymentreq where Active=1 and Date='$date' order by Id desc";
			$result=mysqli_query($con,$query);
	        $RowCount=mysqli_num_rows($result);
	        
				if($RowCount<1)
				{
				    echo "<tr><td colspan='12' id='tdErr'><h3 id='errMsg'>Todays's Payment Request History Not Found !</h3></td></tr>";
				}
	
			while($row=mysqli_fetch_array($result))
			{
			    $ClintId=$row['Userid'];
			    $PayDate=$row['Paymentdate'];
			    $Amt=$row['Amount'];
			    $TrxnNo=$row['Txnnumber'];
			    $RowId=$row['Id'];
				$sl=$sl+1;
				if($row['Status']=="APPROVED")
				{
				    $TdColor="green";
				}
				elseif($row['Status']=="PENDING")
				{
				    $TdColor="blue";
				}
				else
				{
				   $TdColor="red"; 
				}
				$subClintId=substr($ClintId,"0","2");
				if($subClintId==50)
				{
				    $GetClintName="select * from retailer where Userid='$ClintId'";
				}
				elseif($subClintId==20)
				{
				    $GetClintName="select * from distributer where Userid='$ClintId'";
				}
				else
				{
				    $GetClintName="select * from masterdis where Userid='$ClintId'";
				}
				
				$reClintName=mysqli_query($con,$GetClintName);
				$dataClintName=mysqli_fetch_array($reClintName);
				$ClintName=$dataClintName['Name'];
				echo "<tr>";
					echo "<td id='mid'>".$sl."</td>";
					echo "<td id='mid'>".$row['Id']."</td>";
					echo "<td id='mid'>".$row['reqType']."</td>";
					echo "<td>".$row['Date']."</td>";
					echo "<td>".$row['Time']."</td>";
					echo "<td id='mid'>".$ClintName." [".$row['Userid']."]</td>";
					echo "<td>".$row['Amount']."</td>";
					echo "<td>".$row['Mode']."</td>";
					echo "<td>".$row['Txnnumber']."</td>";
					echo "<td>".$row['Bankname']."</td>";
					echo "<td>".$row['Responsemsg']."</td>";
					echo "<td ><p id='$TdColor'>".$row['Status']."</p></td>";
					
					if($row['Status']=="APPROVED")
					{
				        $TotalAmount=$TotalAmount+$row['Amount'];
					}
			}
			echo "<tr>";
		    	echo "<th></th>";
		    	echo "<th></th>";
		    	echo "<th></th>";
		    	echo "<th></th>";
		    	echo "<th></th>";
		    	echo "<th>Total</th>";
		    	echo "<th>".$TotalAmount."</th>";
		    	echo "<th></th>";
		    	echo "<th></th>";
		    	echo "<th></th>";
		    	echo "<th></th>";
		    	echo "<th></th>";
			echo "</tr>";
			
		?>
		</table>
	</div>
</body>
</html>
